Bug 74369 - glade2 wants gnome-autogen.sh
glade2 wants gnome-autogen.sh
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: glade2 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-22 02:06 EDT by Daryll
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-19 21:18:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daryll 2002-09-22 02:06:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
The autogen.sh created by glade-2 refers to gnome-autogen.sh, which doesn't
exist on the system. Therefore you can't bootstrap a new gnome-2 project.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run glade-2
2.create a new gnome project
3.make a window
4.press the save button
5.press the build button
6.from the toplevel directory of the project ./autogen.sh
	

Actual Results:  An error is generated:
which: no gnome-autogen.sh in
(/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/X11R6/bin:.)
You need to install gnome-common from the GNOME CVS


Expected Results:  It should have created the automake files so that you can run
make from the directory and create your project.

Additional info:

I'm not sure if this is really a glade-2 bug or if this is a bug with gnome not
including the autogen.sh file.
Comment 1 Havoc Pennington 2002-09-22 10:38:58 EDT
Hmm, I think it's sort of a glade bug; it really shouldn't be setting up 
random third-party projects to use gnome-autogen.sh, that's more of a
GNOME-CVS-only thing.
Comment 2 Havoc Pennington 2002-12-19 21:18:21 EST
This is fixed in newer glade versions.

Note You need to log in before you can comment on or make changes to this bug.